<template>
    <section>
        <page-details v-for="page in pages" :key="page.key" :page="page" />
    </section>
</template>
<script>
    import PageDetails from './PageDetails'
    export default {
      components: {PageDetails},
      computed: {
        pages() {
          const path = this.$page.path
          return this.$site.pages
            .filter(p => p.path && p.path.startsWith(path) && p.path !== path)
        }
      }
    }
</script>
